namespace CodePlex.DnD4eCampaignManager.Presentation.ViewInterfaces
{
    public interface ICampaignManagerView
    {
        string[] CharacterNames { get; set; }
        string ClickedMenuItemTag { get; }
        string ClickedMenuItemText { get; }
        bool CloseButtonVisible { get; set; }
        string[] LocationNames { set; }
        string[] MonsterNames { set; }
        string[] PlayerCharacterNames { set; }
        string SelectedTabName { get; }
        int TabCount { get; }
        void AddCampaignPlannerTab();
        void AddCombatTrackerTab();
        void AddLocationEditorTab(string locationName);
        void AddMonsterEditorTab(string monsterName);
        void AddPlayerCharacterEditorTab(string playerCharacterName);
        void Alert(string message);
        string MonsterToImport();
        void RemoveTab(string tabName);
    }
}