using CodePlex.DnD4eCampaignManager.DnD4e.Interfaces;

namespace CodePlex.DnD4eCampaignManager.Presentation.ViewInterfaces
{
    public interface ICombatEncounterView
    {
        ICombatant[] AvailableMonsters { set; }
        ICombatant[] Combatants { set; }
        string CombatantSelectedInList { get; set; }
        ICombatant CurrentCombatant { set; }
        string NewCombatantName { get; }
        IMonster SelectedAvailableMonster { get; }
        ICombatant SelectedCombatant { get; set; }
        string SelectedCombatantAttackPowers { get; set; }
        string SelectedCombatantConditions { get; set; }
        int SelectedCombatantCurrentHealingSurges { get; set; }
        int SelectedCombatantCurrentHitPoints { get; set; }
        bool SelectedCombatantDisplayEnabled { set; }
        int SelectedCombatantInitiativeScore { get; set; }
        string SelectedCombatantName { set; }
        string SelectedCombatantSpecialQualities { get; set; }
        string SelectedCombatantTactics { get; set; }
        int SelectedCombatantTemporaryHitPoints { get; set; }
        int TotalCombatants { get; }
        void DeselectCombatant();
    }
}