using System.Collections.ObjectModel;

namespace CodePlex.DnD4eCampaignManager.Repositories
{
    public interface IBaseRepository<T>
    {
        ReadOnlyCollection<string> GetAllNames();
        T GetByName(string name);
        void Save(T domainObject);
    }
}