using CodePlex.DnD4eCampaignManager.DnD4e.Enums;

namespace CodePlex.DnD4eCampaignManager.DnD4e.Interfaces
{
    public interface ICombatant : IDefenses, ISenses, IHitPoints, IMovement, IAbilities, IInitiative, IPersistable
    {
        int ActionPoints { get; set; }
        string Conditions { get; set; }
        CreatureSize CreatureSize { get; set; }
        string DisplayName { get; }
        string SpecialQualities { get; set; }
        string Tactics { get; set; }
        string FormatCombatantForDisplay();
    }
}