using System.Collections.Generic;
using CodePlex.DnD4eCampaignManager.DnD4e.Enums;

namespace CodePlex.DnD4eCampaignManager.DnD4e.Interfaces

{
    public interface IMonster : ICombatant
    {
        string AttackPowers { get; set; }
        bool Elite { get; set; }
        string Equipment { get; set; }
        int ExperiencePointValue { get; }
        int? Index { get; set; }
        List<string> Keywords { get; set; }
        bool Leader { get; set; }
        int Level { get; set; }
        string Origin { get; set; }
        MonsterRole Role { get; set; }
        int SavingThrows { get; set; }
        bool Solo { get; set; }
    }
}