using CodePlex.DnD4eCampaignManager.DnD4e.Enums;

namespace CodePlex.DnD4eCampaignManager.DnD4e.Interfaces
{
    public interface IPlayerCharacter : ICombatant, IHealingSurges, IPowers

    {
        int CharacterAge { get; set; }
        Alignment CharacterAlignment { get; set; }
        string CharacterClass { get; set; }
        string CharacterDeity { get; set; }
        string CharacterEpicDestiny { get; set; }
        int CharacterExperiencePoints { get; set; }
        string CharacterFeats { get; set; }
        Gender CharacterGender { get; set; }
        string CharacterHeight { get; set; }
        int CharacterLevel { get; set; }
        string CharacterName { set; }
        string CharacterParagonPath { get; set; }
        string CharacterRace { get; set; }
        string CharacterRituals { get; set; }
        int CharacterWeight { get; set; }
    }
}