using CodePlex.DnD4eCampaignManager.Presentation.PresenterInterfaces;

namespace CodePlex.DnD4eCampaignManager.Presentation.ViewInterfaces
{
    public interface IDefensesView
    {
        int ArmorClass { get; set; }
        int ArmorClassAbilityBonus { set; }
        int ArmorClassBonusFromArmor { set; }
        int ArmorClassClassBonus { set; }
        int BaseDefense { set; }
        int FortitudeDefense { get; set; }
        int FortitudeDefenseAbilityBonus { set; }
        int FortitudeDefenseBonusFromItem { set; }
        int FortitudeDefenseClassBonus { set; }
        IDefensesPresenter Presenter { set; }
        int ReflexDefense { get; set; }
        int ReflexDefenseAbilityBonus { set; }
        int ReflexDefenseBonusFromItem { set; }
        int ReflexDefenseClassBonus { set; }
        int WillpowerDefense { get; set; }
        int WillpowerDefenseAbilityBonus { set; }
        int WillpowerDefenseBonusFromItem { set; }
        int WillpowerDefenseClassBonus { set; }
    }
}