using CodePlex.DnD4eCampaignManager.DnD4e.Enums;

namespace CodePlex.DnD4eCampaignManager.Presentation.ViewInterfaces
{
    public interface IMonsterView
    {
        int ActionPoints { get; set; }
        int ArmorClass { get; set; }
        string AttackPowers { get; set; }
        int Charisma { get; set; }
        int Constitution { get; set; }
        int Dexterity { get; set; }
        bool Elite { get; set; }
        string Equipment { get; set; }
        int ExperiencePointValue { set; }
        int FortitudeDefense { get; set; }
        int HitPoints { get; set; }
        int InitiativeModifier { get; set; }
        int Intelligence { get; set; }
        string Keywords { get; set; }
        bool Leader { get; set; }
        int Level { get; set; }
        string MonsterName { set; }
        CreatureSize MonsterSize { get; set; }
        string Origin { get; set; }
        int Perception { get; set; }
        int ReflexDefense { get; set; }
        MonsterRole Role { get; set; }
        string SaveAsName { get; }
        int SavingThrows { get; set; }
        string Senses { get; set; }
        string Skills { get; set; }
        bool Solo { get; set; }
        string SpecialQualities { get; set; }
        int Speed { get; set; }
        string SpeedOther { get; set; }
        int Strength { get; set; }
        string Tactics { get; set; }
        int WillpowerDefense { get; set; }
        int Wisdom { get; set; }
    }
}