using System.Xml.Serialization;
using CodePlex.DnD4eCampaignManager.DnD4e;
using CodePlex.DnD4eCampaignManager.DnD4e.Interfaces;

namespace CodePlex.DnD4eCampaignManager.Repositories.XmlRepositories
{
    public class PlayerCharacterXmlRepository : BaseXmlRepository<IPlayerCharacter>, IPlayerCharacterRepository
    {
        private static readonly XmlSerializer XML_SERIALIZER = new XmlSerializer(typeof ( PlayerCharacter ));

        public PlayerCharacterXmlRepository()
        {
            InitializeRepository();
        }

        protected override string Extension
        {
            get { return ".pc"; }
        }

        protected override string Folder
        {
            get { return "Characters"; }
        }

        protected override XmlSerializer XmlSerializer
        {
            get { return XML_SERIALIZER; }
        }
    }
}